---
sidebar_label: ElementHandle.isIntersectingViewport
---

# ElementHandle.isIntersectingViewport() method

Resolves to true if the element is visible in the current viewport.

**Signature:**

```typescript
class ElementHandle {
  isIntersectingViewport(
    this: ElementHandle<Element>,
    options?: {
      threshold?: number;
    }
  ): Promise<boolean>;
}
```

## Parameters

| Parameter | Type                                                         | Description       |
| --------- | ------------------------------------------------------------ | ----------------- |
| this      | [ElementHandle](./puppeteer.elementhandle.md)&lt;Element&gt; |                   |
| options   | { threshold?: number; }                                      | <i>(Optional)</i> |

**Returns:**

Promise&lt;boolean&gt;
